Name:           python-hestia-earth-models
Version:        0.70.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        HESTIA's set of modules for filling gaps in the activity data using external datasets (e.g. populating soil properties with a geospatial dataset using provided coordinates) and internal lookups (e.g. populating machinery use from fuel use). Includes rules for when gaps should be filled versus not (e.g. never gap fill yield, gap fill crop residue if yield provided etc.).

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://gitlab.com/hestia-earth/hestia-engine-models
Source:         %{pypi_source hestia_earth_models}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'hestia-earth-models' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-hestia-earth-models
Summary:        %{summary}

%description -n python3-hestia-earth-models %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-hestia-earth-models spatial


%prep
%autosetup -p1 -n hestia_earth_models-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x spatial


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-hestia-earth-models -f %{pyproject_files}


%changelog
%autochangelog